Contracts - Configuration Items API
List all configuration items of a contract
Section titled “List all configuration items of a contract”List all configuration items of a contract with a specific ID.
GET /contracts/:id/cisResponse
Section titled “Response”Status: 200 OK[ { "name": "Adobe Reader 9.1.0", "label": "Adobe Reader 9.1.0", "created_at": "2016-03-14T03:11:22-06:00", "sourceID": null, "updated_at": "2016-03-14T03:11:22-06:00", "service": { "name": "Personal Computing", "id": 22, "provider": { "name": "Widget Data Center, Internal IT", "id": 32 } }, "support_team": { "name": "End-User Support, Houston", "id": 9 }, "id": 711, "product": { "name": "Adobe Reader", "brand": "Adobe", "category": "software/browser_viewer_application", "id": 33 }, "status": "in_production", "software": true, "rule_set": "software" }, "..."]The response contains these fields by default.
Predefined Filters
Section titled “Predefined Filters”The following predefined filters are available:
/contracts/:id/cis/active: List all active configuration items of a contract with a specific ID/contracts/:id/cis/inactive: List all inactive configuration items of a contract with a specific ID
Add a configuration item to a contract
Section titled “Add a configuration item to a contract”Add a link between a contract with a specific ID and a configuration item with a specific ID.
POST /contracts/:id/cis/:ci_idResponse
Section titled “Response”Status: 200 OK{}Remove a configuration item from a contract
Section titled “Remove a configuration item from a contract”Remove the link between a contract with a specific ID and a configuration item with a specific ID.
DELETE /contracts/:id/cis/:ci_idResponse
Section titled “Response”Status: 204 No ContentRemove all configuration items from a contract
Section titled “Remove all configuration items from a contract”Remove all links between a contract with a specific ID and its configuration items.
DELETE /contracts/:id/cisResponse
Section titled “Response”Status: 204 No Content